Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## BEA WebLogic Server 9.0 API Reference

## weblogic.management.security
Class BaseMBeanImpl

    java.lang.Object
      weblogic.management.security.BaseMBeanImpl

Direct Known Subclasses:
  ProviderImpl, UserLockoutManagerImpl

public class BaseMBeanImpl
extends Object

The base class for commo mbean implementations. It gives the mbean implementation access to its configuration attributes.

Many commo mbeans have both configuration attributes (for example, a hostname and port to its database) and management behaviors (eg. methods to create a user). The mbean implementation implements these management behaviors. The management method implementations typically needs to access the configuration parameters. This base class provides that access.

commo mbeans are based on jmx required model mbeans.

  Copyright © 2005 BEA Systems, Inc. All Rights Reserved.

Constructor Summary
`` | `BaseMBeanImpl(ModelMBean base)` Class constructor specifying the corresponding required model mbean.
`protected` | `BaseMBeanImpl(RequiredModelMBean base)`

Method Summary
`protected weblogic.management.commo.StandardInterface` | `getProxy()` Gets this mbean's proxy.
`protected ModelMBean` | `getRequiredModelMBean()` Gets this mbean's `ModelMBean`.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BaseMBeanImpl

    public BaseMBeanImpl(ModelMBean base)

  Class constructor specifying the corresponding required model mbean.

Throws:
  `MBeanException` - Description of the Exception

### BaseMBeanImpl

    protected BaseMBeanImpl(RequiredModelMBean base)

Method Detail

### getProxy

    protected weblogic.management.commo.StandardInterface getProxy()
                                                            throws MBeanException

  Gets this mbean's proxy.

  This can be used to get the mbean's attributes using the proxy interface (vs. the lower level jmx calls).

  Returns:
    the commo proxy for this mbean.
  Throws:
    `MBeanException` - Description of the Exception

### getRequiredModelMBean

    protected ModelMBean getRequiredModelMBean()

  Gets this mbean's `ModelMBean`.

  This can be used to get the mbean's attributes using the lower level jmx required model mbean methods.

  Returns:
    the required model mbean.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs90 Copyright 2005 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD